[Yandex Cloud documentation](../../../index.md) > [Yandex Managed Service for YDB](../../index.md) > [Yandex Cloud API reference for Managed Service for YDB](../overview.md) > [REST](../index.md) > [Backup](index.md) > ListPaths

# Managed Service for YDB API, REST: Backup.ListPaths

## HTTP request

```
GET https://ydb.api.cloud.yandex.net/ydb/v1/backups/{backupId}/paths
```

## Path parameters

#|
||Field | Description ||
|| backupId | **string**

Required field. Required. ID of the YDB backup.

The maximum string length in characters is 50. ||
|#

## Query parameters {#yandex.cloud.ydb.v1.ListPathsRequest}

#|
||Field | Description ||
|| pageSize | **string** (int64)

The maximum number of results per page that should be returned. If the number of available
results is larger than `page_size`, the service returns a `next_page_token` that can be used
to get the next page of results in subsequent ListPaths requests.
Acceptable values are 0 to 1000, inclusive. Default value: 100.

Acceptable values are 0 to 1000, inclusive. ||
|| pageToken | **string**

Page token. Set `page_token` to the `next_page_token` returned by a previous ListPaths
request to get the next page of results.

The maximum string length in characters is 100. ||
|#

## Response {#yandex.cloud.ydb.v1.ListPathsResponse}

**HTTP Code: 200 - OK**

```json
{
  "paths": [
    "string"
  ],
  "nextPageToken": "string"
}
```

#|
||Field | Description ||
|| paths[] | **string** ||
|| nextPageToken | **string** ||
|#